// Created by iWeb 3.0.3 local-build-20110412

function createMediaStream_id4()
{var args = window.location.href.toQueryParams();return IWCreatePhotocast("/album/ye_mian/photo_files/rss.xml?aid="+args.aid,true);}
function initializeMediaStream_id4()
{createMediaStream_id4().load('/album/ye_mian',function(imageStream)
{var entryCount=imageStream.length;var headerView=widgets['widget1'];headerView.setPreferenceForKey(imageStream.length,'entryCount');NotificationCenter.postNotification(new IWNotification('SetPage','id4',{pageIndex:0}));});}
function layoutMediaGrid_id4(range)
{createMediaStream_id4().load('/album/ye_mian',function(imageStream)
{if(range==null)
{range=new IWRange(0,imageStream.length);}
IWLayoutPhotoGrid('id4',new IWPhotoGridLayout(3,new IWSize(182,182),new IWSize(182,37),new IWSize(218,234),27,27,0,new IWSize(10,10)),new IWPhotoFrame([IWCreateImage('/album/ye_mian/photo_files/Headlines_01.png'),IWCreateImage('/album/ye_mian/photo_files/Headlines_02.png'),IWCreateImage('/album/ye_mian/photo_files/Headlines_03.png'),IWCreateImage('/album/ye_mian/photo_files/Headlines_06.png'),IWCreateImage('/album/ye_mian/photo_files/Headlines_09.png'),IWCreateImage('/album/ye_mian/photo_files/Headlines_08.png'),IWCreateImage('/album/ye_mian/photo_files/Headlines_07.png'),IWCreateImage('/album/ye_mian/photo_files/Headlines_04.png')],null,0,1.000000,-3.000000,-3.000000,-3.000000,-3.000000,2.000000,2.000000,2.000000,2.000000,4.000000,4.000000,4.000000,4.000000,null,null,null,0.100000),imageStream,range,null,null,1.000000,{backgroundColor:'rgb(0, 0, 0)',reflectionHeight:100,reflectionOffset:2,captionHeight:100,fullScreen:0,transitionIndex:2},'/Media/slideshow.html','widget1','widget2','widget3')});}
function relayoutMediaGrid_id4(notification)
{var userInfo=notification.userInfo();var range=userInfo['range'];layoutMediaGrid_id4(range);}
function onStubPage()
{var args=window.location.href.toQueryParams();parent.IWMediaStreamPhotoPageSetMediaStream(createMediaStream_id4(),args.id);}
if(window.stubPage)
{onStubPage();}
setTransparentGifURL('/Media/transparent.gif');function hostedOnDM()
{return false;}
function onPageLoad()
{IWRegisterNamedImage('comment overlay','/Media/Photo-Overlay-Comment.png')
IWRegisterNamedImage('movie overlay','/Media/Photo-Overlay-Movie.png')
loadMozillaCSS('/album/ye_mian/photo_files/photoMoz.css')
adjustLineHeightIfTooBig('id1');adjustFontSizeIfTooBig('id1');adjustLineHeightIfTooBig('id2');adjustFontSizeIfTooBig('id2');adjustLineHeightIfTooBig('id3');adjustFontSizeIfTooBig('id3');NotificationCenter.addObserver(null,relayoutMediaGrid_id4,'RangeChanged','id4')
Widget.onload();fixupAllIEPNGBGs();fixAllIEPNGs('/Media/transparent.gif');initializeMediaStream_id4()
performPostEffectsFixups()}
function onPageUnload()
{Widget.onunload();}
